OnlyFans API DocumentationOnlyFans API
Fans

Get Subscription History

Get a fan's subscription history with a connected OnlyFans account.

Get every subscription period a fan has had with the connected account, with its dates and price.

https://v1.onlyfansapi.io
GET
/api/{acct_id}/fans/{user_id}/subscriptions-history

Headers

x-api-key*
string
Your API key. See Authentication.

Path Parameters

acct_id*
string
The connected account to read from, as returned by Authenticate Account.
user_id*
integer
The fan to read, as returned in id by List All Fans.